summaryrefslogtreecommitdiff
path: root/src/auditor/taler-auditor.in
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-03-21 16:09:22 +0100
committerChristian Grothoff <christian@grothoff.org>2020-03-21 16:09:22 +0100
commit88fd81e5da88fe11746ed7c06ba283891e05b673 (patch)
tree0816f19307abcf815e67763d8d461ca84819e016 /src/auditor/taler-auditor.in
parenta8b8258e12f8e04936bffd82a2e31be7117ec860 (diff)
downloadexchange-88fd81e5da88fe11746ed7c06ba283891e05b673.tar.gz
exchange-88fd81e5da88fe11746ed7c06ba283891e05b673.tar.bz2
exchange-88fd81e5da88fe11746ed7c06ba283891e05b673.zip
completing auditor split
Diffstat (limited to 'src/auditor/taler-auditor.in')
-rwxr-xr-xsrc/auditor/taler-auditor.in23
1 files changed, 23 insertions, 0 deletions
diff --git a/src/auditor/taler-auditor.in b/src/auditor/taler-auditor.in
new file mode 100755
index 000000000..1cc50d130
--- /dev/null
+++ b/src/auditor/taler-auditor.in
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -eu
+
+DIR=`mktemp -d reportXXXXXX`
+for n in aggregation coins deposits reserves wire
+do
+ taler-helper-auditor-$n "$@" > ${DIR}/$n.json
+done
+
+taler-helper-auditor-render.py \
+ ${DIR}/aggregation.json \
+ ${DIR}/coins.json \
+ ${DIR}/deposits.json \
+ ${DIR}/reserves.json \
+ ${DIR}/wire.json < %pkgdatadir%/auditor-report.tex.j2 > ${DIR}/auditor-report.tex
+cd ${DIR}
+pdflatex auditor-report.tex < /dev/null
+pdflatex auditor-report.tex < /dev/null
+pdflatex auditor-report.tex < /dev/null
+cd ..
+
+echo "Result is in ${DIR}/auditor-report.pdf"